Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7449/?format=api
{ "ob_id": 7449, "uuid": "3bee278d54ecee4c771c77d2f064b71e", "title": "QPENSO: picontrol experiment monthly mean ocean and atmosphere model fields measurements", "abstract": "Model simulations undertaken by the Quantifying variability of the El Nino Southern Oscillation on adaptation-relevant time scales using a novel palaeodata-modelling approach (QPENSO) project. These are coupled ocean-atmosphere experiments with a modified version of the HadCM3 (UM version 4.5) climate model. The model has been modified to include stable isotopes of oxygen in both the ocean and atmosphere sub-models, after Tindall et al., 2009. The simulations are grouped into two experiments: 1) 'picontrol', comprising a single 750 year duration unforced pre-industrial boundary condition simulation; 2) 'forced', comprising a suite of six historical simulations of the interval 1160-1360 AD and including changes in solar, volcanic and greenhouse gas forcing. The six simulations represent an initial-condition ensemble over this interval.", "keywords": "NERC, QPENSO, el nino, ENSO, paleo, model, picontrol, simulation, oxygen", "publicationState": "published", "dataPublishedTime": "2013-09-19T16:27:16", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/7450/?format=api", "dataPath": "/badc/nerc-rm2010/data/qpenso/picontrol", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 9967510463, "numberOfFiles": 6, "fileFormat": "NetCDF" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3322/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/524/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/4385/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/9042/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/9043/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/9045/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51157/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51158/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57181/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57182/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57183/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57184/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57185/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57186/?format=api" ], "dataLineage": "Data created by QPENSO project team based in the School of Geosciences, University of Edinburgh. The data were transferred to the BADC at the end of the project.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4830/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8726/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7451/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7448/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31189/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31188/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31193/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31187/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31190/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31191/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31192/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53050/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31194/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/7452/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }